import GitlabBaseService from "./base"

class Repository extends GitlabBaseService {
  /**
   * 获取指定项目中某个文件的内容。
   * @param {string} path - 文件路径。
   * @param {string} ref - 分支或标签名称。
   * @returns {Promise<string>} 返回包含文件内容的Promise。
   */
  async getFileContent(path: string, ref: string): Promise<string> {
    const URL = `/projects/${this.project_id}/repository/files/${encodeURIComponent(path)}/raw?ref=${ref}`
    return this.errorWarp<string>(() => this.get(URL), "")
  }
}

export default Repository
